import { Component, OnInit, HostListener } from '@angular/core';

@Component({
  selector: 'app-salty-piranha',
  templateUrl: './salty-piranha.component.html',
  styleUrls: ['./salty-piranha.component.css']
})
export class SaltyPiranhaComponent implements OnInit {

  public innerHeight: any;
  public innerWidth: any;

  ngOnInit() {
    this.innerHeight = window.innerHeight;
    this.innerWidth = window.innerWidth;
  }
  constructor() { }

  @HostListener('window:resize', ['$event'])
  onResize(event) {
    this.innerHeight = window.innerHeight;
    this.innerWidth = window.innerWidth;
  }
}
